Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.windows
Class ExtWindowsToolBarSeparatorUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SeparatorUI
              javax.swing.plaf.basic.BasicSeparatorUI
                  javax.swing.plaf.basic.BasicToolBarSeparatorUI
                      com.jgoodies.plaf.windows.ExtWindowsToolBarSeparatorUI

public final class ExtWindowsToolBarSeparatorUI
extends BasicToolBarSeparatorUI

A Windows tool bar separator that honors the tool bar's border. Used in in 1.4.0, 1.4.1 and 1.4.2 with XP turned off.

Version:
  $Revision: 1.4 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`highlight, shadow`

Constructor Summary
`ExtWindowsToolBarSeparatorUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicToolBarSeparatorUI
`getMaximumSize, getMinimumSize, getPreferredSize, installDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtWindowsToolBarSeparatorUI

    public ExtWindowsToolBarSeparatorUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### paint

    public void paint(Graphics g,
                      JComponent c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.